tektorumAdmin
 
Benutzerbild von Florian
 
Registriert seit: 06.06.2002
Beiträge: 4.416
Florian: Offline

Ort: Berlin
Hochschule/AG: Illenberger & Lilja GbR / Anderhalten Architekten

Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light

Beitrag
Datum: 28.08.2015
Uhrzeit: 12:24
ID: 54792



AutoCAD Linie Brechen ohne Lücke

#1 (Permalink)
Social Bookmarks:

Hallo Wie kann ich die BRUCH Funktion von AutoCAD so einstellen dass

a) keine Lücke entsteht (der Sinn entgeht mir...)
und ich
b) die exakte Bruchstelle angeben kann?

Bei dem voreingestellten BRUCH lege ich bei AutoCAD mit Auswahl des Elements gleich die erste Bruchstelle fest. Das ist ziemlich ungenau, da ich zu diesem Zeitpunkt noch garkeine Fankpunkte habe. Erst mit dem zweiten Klick wird mir der Objektfang angezeit.

Nun kann ich zwar dies durch eine Befehltkette lösen, brauche dafür aber ziemlich viele Schritte:
1. BRUCH
2. Über Fangpunktpalette den Fangpunkt wählen
3. Objekt am zu brechenden Punkt markieren
4. @ eingeben

Ich hätte es gerne so:
1. BRUCH
2. Objekt markieren
3. Bruchpunkt markieren


Benötigt das ein eigenes Skript?
__________________
Florian Illenberger

tektorum.de - Architektur-Diskussionsforum

archinoah.de Architektur Portal - Forum für Architektur:

Mit Zitat antworten
Anzeige

Diese Anzeige wird registrierten Mitgliedern nicht angezeigt.
Du kannst Dich hier kostenlos bei tektorum.de registrieren!

Informationen zur Anzeigenschaltung bei tektorum.de finden Sie hier.




Registrierter Nutzer
 
Registriert seit: 04.09.2008
Beiträge: 197
tschuingum: Offline


tschuingum will become famous soon enough

Beitrag
Datum: 29.08.2015
Uhrzeit: 08:12
ID: 54793



AW: AutoCAD Linie Brechen ohne Lücke

#2 (Permalink)
Social Bookmarks:

Einen separaten Befehl gibt es dafür nicht, aber ein Button mit entsprechendem Makro (^C^C_break \_f \@ ) ist von Hause aus dabei. In den Ribbons versteckt er sich unter 'Start -> Ändern -> An Punkt brechen'.

Mit Zitat antworten
tektorumAdmin
 
Benutzerbild von Florian
 
Registriert seit: 06.06.2002
Beiträge: 4.416
Florian: Offline

Ort: Berlin
Hochschule/AG: Illenberger & Lilja GbR / Anderhalten Architekten

Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light

Beitrag
Datum: 01.09.2015
Uhrzeit: 13:32
ID: 54809



AW: AutoCAD Linie Brechen ohne Lücke #3 (Permalink)
Social Bookmarks:

Ah. Und wie kann ich mir diesen Befehl als Shortcut definieren? BRUCH ist ja leider nicht ganz das...
__________________
Florian Illenberger

tektorum.de - Architektur-Diskussionsforum

archinoah.de Architektur Portal - Forum für Architektur:

Mit Zitat antworten
Registrierter Nutzer
 
Registriert seit: 04.09.2008
Beiträge: 197
tschuingum: Offline


tschuingum will become famous soon enough

Beitrag
Datum: 03.09.2015
Uhrzeit: 08:29
ID: 54822



AW: AutoCAD Linie Brechen ohne Lücke #4 (Permalink)
Social Bookmarks:

Shortcuts (sowas wie Strg+C) kannst du in der Benutzeroberflächenanpassung definieren (CUI) - dort in der Rubrik 'Tastaturkurzbefehle -> Tastaturkürzel'. Ansonsten kann man per Lisp Befehle definieren … für die man bei Bedarf auch wieder Befehlsaliasnamen über die pgp-Datei festlegen kann.

Mit Zitat antworten
tektorumAdmin
 
Benutzerbild von Florian
 
Registriert seit: 06.06.2002
Beiträge: 4.416
Florian: Offline

Ort: Berlin
Hochschule/AG: Illenberger & Lilja GbR / Anderhalten Architekten

Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light Florian is a glorious beacon of light

Beitrag
Datum: 03.09.2015
Uhrzeit: 17:15
ID: 54828



AW: AutoCAD Linie Brechen ohne Lücke #5 (Permalink)
Social Bookmarks:

Hier der Code für ein LISP Skript. Original von break to break at point command - Autodesk Community , von mir an ein deutsches ACAD angeapsst.

Code:
(defun c:br (/ obj pt1 osmode cmdecho)

  (setq obj (car (entsel)))
  (setq pt1 (getpoint "\nBruchpunkt wählen: "))

  (setq osmode (getvar "osmode"))
  (setq cmdecho (getvar "cmdecho"))
  (setvar "osmode" 0)
  (setvar "cmdecho" 0)

  (command "_break" obj pt1 pt1)

  (setvar "osmode" osmode)
  (setvar "cmdecho" cmdecho)

  (princ)

)
__________________
Florian Illenberger

tektorum.de - Architektur-Diskussionsforum

archinoah.de Architektur Portal - Forum für Architektur:

Mit Zitat antworten
Anzeige

Diese Anzeige wird registrierten Mitgliedern nicht angezeigt.
Du kannst Dich hier kostenlos bei tektorum.de registrieren!

Informationen zur Anzeigenschaltung bei tektorum.de finden Sie hier.




Antwort
Ähnliche Themen
Thema Autor Architektur-Themenbereiche Antworten Letzter Beitrag
Allplan - 3D Linie in 2D Linie wandeln Robi Präsentation & Darstellung 1 27.10.2010 18:03
Autocad 2008 Grundfläche (3D ) ohne Spiegelung alplobel Präsentation & Darstellung 0 09.05.2010 17:00
Autocad Pdf drucken ohne Linien in Flächen nina6744 Präsentation & Darstellung 3 23.12.2009 02:05
Allplan 2004 - 3D Linie in 2D Linie Maks Präsentation & Darstellung 2 18.03.2007 23:39
Autocad Objekte bewegen ohne z-Achse jones Präsentation & Darstellung 3 03.06.2005 18:35
 

tektorum.de ist ein Projekt von archinoah.de - Architekturportal und Forum für Architektur



Alle Zeitangaben in WEZ +2. Es ist jetzt 11:01 Uhr.
Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd. (Deutsch)
SEO by vBSEO
Copyright ©2002 - 2018 tektorum.de®